function runscript()
	speaker("mole");
	if (getflag(FLAG_TALKED_TO_MOLE) == FLAG_OFF) then
		say("I'm representing the Overside Worker's Onion,|| and you see this HUGE pothole here?||/nWe refuse to fix it!");
		say("(||That is,|| unless we get better pay...)");
	end
	
	say("Don't even THINK about pressing [Jump] to jump over it!");
	say("And ESPECIALLY don't think about altering the height of your jump...");
	say("ESPECIALLY ESPECIALLY not by changing how long you hold your [Jump] button.");

	if (getflag(FLAG_TALKED_TO_MOLE) == FLAG_OFF) then
		wait(50);
		speaker("ip");
		say("||...||Worker's||... ||Onion||...||?");
	end
	
	setflag(FLAG_TALKED_TO_MOLE, FLAG_ON);
end